Page MenuHomePhabricator

Move legacy PayPal listener to SmashPig
Closed, ResolvedPublic2 Story Points

Description

Standalone version has a tiny amount of logic, entangled with lots of ActiveMQ -specific stuff. Reimplement as a SmashPig listener and job.

Event Timeline

awight created this task.Jul 29 2016, 8:29 PM
awight renamed this task from Hack the daylights out of legacy PayPal listener to do activemq to Hack the daylights out of legacy PayPal listener to do Redis.Aug 2 2016, 8:11 PM
Ejegg renamed this task from Hack the daylights out of legacy PayPal listener to do Redis to Move legacy PayPal listener to SmashPig.Aug 12 2016, 6:47 PM
Ejegg claimed this task.
Ejegg updated the task description. (Show Details)
Ejegg changed the point value for this task from 1 to 2.

Change 304495 had a related patch set uploaded (by Ejegg):
Legacy PayPal: send pending message.

https://gerrit.wikimedia.org/r/304495

Change 304495 merged by jenkins-bot:
Legacy PayPal: send pending message.

https://gerrit.wikimedia.org/r/304495

Change 304930 had a related patch set uploaded (by Ejegg):
Paypal: set order ID = ct_id, email is an optional key

https://gerrit.wikimedia.org/r/304930

Change 304931 had a related patch set uploaded (by Ejegg):
Log and send pending message for all redirects

https://gerrit.wikimedia.org/r/304931

awight removed Ejegg as the assignee of this task.Aug 15 2016, 11:49 PM
awight added a subscriber: Ejegg.
cwdent moved this task from Backlog to Doing on the Fundraising Sprint Octopus Untangling board.

Change 304930 merged by jenkins-bot:
Paypal: set order ID = ct_id, email is an optional key

https://gerrit.wikimedia.org/r/304930

Change 304931 merged by jenkins-bot:
Log and send pending message for all redirects

https://gerrit.wikimedia.org/r/304931

Change 305593 had a related patch set uploaded (by Awight):
[WIP] Skeletal tests for both stages of the PayPal listener

https://gerrit.wikimedia.org/r/305593

Change 305761 had a related patch set uploaded (by Cdentinger):
WIP working on paypal listener, tests pass

https://gerrit.wikimedia.org/r/305761

Change 305593 abandoned by Awight:
[WIP] Skeletal tests for both stages of the PayPal listener

https://gerrit.wikimedia.org/r/305593

Change 306599 had a related patch set uploaded (by Awight):
Make tests real

https://gerrit.wikimedia.org/r/306599

Change 306603 had a related patch set uploaded (by Awight):
[WIP] Test unhappy validation path

https://gerrit.wikimedia.org/r/306603

Change 306599 abandoned by Awight:
Make tests real

Reason:
Deprecated by parent

https://gerrit.wikimedia.org/r/306599

Change 306603 abandoned by Awight:
[WIP] Test unhappy validation path

https://gerrit.wikimedia.org/r/306603

Change 305761 merged by jenkins-bot:
smashpig paypal listener

https://gerrit.wikimedia.org/r/305761

Ejegg closed this task as Resolved.Oct 5 2016, 4:39 PM
mmodell removed a subscriber: awight.Jun 22 2017, 9:44 PM